Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0006057Dwarf FortressDwarf Mode -- Itemspublic2012-06-27 07:082014-10-31 13:48
Reporterhikkiko 
Assigned ToToady One 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version0.34.11 
Target VersionFixed in Version0.40.15 
Summary0006057: Brewing stack of >6 plants produces a stack of >30 booze, which doesn't fit in a barrel
DescriptionStandart breewing reaction produce 25 drinks out of 5 items, and fit them into 1 barrel. Custom reaction can fit only 15 items, so any bigger .
Tagsbarrels, drink
Attached Files

- Relationships

-  Notes
(0023170)
hikkiko (reporter)
2012-07-06 06:07

tested with custom reaction
[REACTION:BREW_HELMET_PLUMP]
    [NAME:make plump helmet wine]
    [BUILDING:STILL:CUSTOM_W]
    [REAGENT:A:5:PLANT:NONE:PLANT_MAT:MUSHROOM_HELMET_PLUMP:STRUCTURAL]
    [REAGENT:barrel/pot:1:NONE:NONE:NONE:NONE]
        [EMPTY]
          [FOOD_STORAGE_CONTAINER]
          [PRESERVE_REAGENT]
          [DOES_NOT_DETERMINE_PRODUCT_AMOUNT]
    [PRODUCT:100:25:DRINK:NONE:GET_MATERIAL_FROM_REAGENT:A:DRINK]
        [PRODUCT_TO_CONTAINER:barrel/pot]
        [PRODUCT_DIMENSION:150]
    [SKILL:BREWING]
result - 25 units of alcohol out of barrel. 15- units placed properly.
(0023364)
Quietust (reporter)
2012-07-26 20:31
edited on: 2012-08-20 08:14

In one of the more recent 0.34 releases, item weight and volume got merged together to be derived from the same base values. With those new values, DRINK items have a "bulk" of 200, and barrels appear to have the equivalent of [CONTAINER_CAPACITY:30000] which means they can only hold 15 units of alcohol.

The fact that barrels weigh 4 times as much as large pots yet only have half their capacity is probably an even bigger bug...

(0027718)
Dwarfu (manager)
2014-07-27 15:05

The brewing reactions have been moved into the raws and brewing a stack of 4 plants results in there being a stack of 20 drink in the barrel, which should now match any custom reactions created. If any of the particulars of this aren't satisfied, please PM a manager on the forums.
(0027734)
Quietust (reporter)
2014-07-27 17:24

As of version 0.40, barrels now have the same capacity as large pots, which is enough to contain 30 units of DRINK, so this bug is partially fixed.

However, there's another issue still present: now that Brewing is a custom reaction (which respects container capacity) instead of a hardcoded job (which ignored it), brewing any plant stack of size 7* or larger will result in a stack of booze that cannot fit in the barrel and will instead be dumped into the workshop and lost.

* "organic" farming with a Legendary+5 farmer will yield plant stacks of size 1-6, but use of Fertilizer can potentially boost this up to 10
(0028143)
Loci (manager)
2014-08-02 08:30

Confirmed in 0.40.05. Brewing a stack of 7 whip vines produced a stack of 35 whip wine that was not placed in a barrel, and the stack remains stuck in the still.
(0030016)
troas (reporter)
2014-09-07 11:43

Confirmed in 0.40.10, also with a stack of 7 whip vines.
(0030024)
Dame de la Licorne (reporter)
2014-09-07 13:46
edited on: 2014-09-07 13:47

Still present in .40.11 (world genned in .40.10, fort moved to .40.11).

I have 35 sewer brew and 35 finger millet beer stuck in the still. I can provide a save if necessary, but I don't have one from before/during the job, only after.


- Issue History
Date Modified Username Field Change
2012-06-27 07:08 hikkiko New Issue
2012-06-27 09:41 hikkiko Tag Attached: barrels
2012-06-27 09:41 hikkiko Tag Attached: drink
2012-07-06 06:07 hikkiko Note Added: 0023170
2012-07-26 20:31 Quietust Note Added: 0023364
2012-08-20 08:14 Quietust Note Edited: 0023364 View Revisions
2014-07-27 15:05 Dwarfu Note Added: 0027718
2014-07-27 15:05 Dwarfu Status new => resolved
2014-07-27 15:05 Dwarfu Fixed in Version => 0.40.01
2014-07-27 15:05 Dwarfu Resolution open => fixed
2014-07-27 15:05 Dwarfu Assigned To => Toady One
2014-07-27 16:49 Dwarfu Assigned To Toady One => Dwarfu
2014-07-27 16:49 Dwarfu Status resolved => acknowledged
2014-07-27 16:49 Dwarfu Resolution fixed => open
2014-07-27 16:49 Dwarfu Product Version 0.34.11 =>
2014-07-27 16:50 Dwarfu Fixed in Version 0.40.01 =>
2014-07-27 16:50 Dwarfu Product Version => 0.34.11
2014-07-27 17:24 Quietust Note Added: 0027734
2014-07-28 14:36 Dwarfu Status acknowledged => confirmed
2014-08-02 08:30 Loci Note Added: 0028143
2014-09-07 11:43 troas Note Added: 0030016
2014-09-07 11:44 troas Issue Monitored: troas
2014-09-07 13:46 Dame de la Licorne Note Added: 0030024
2014-09-07 13:47 Dame de la Licorne Note Edited: 0030024 View Revisions
2014-09-07 14:23 Footkerchief Summary barrels contain less than should => Brewing stack of 7+ plants produces a stack of booze too big to fit in a barrel
2014-09-07 14:24 Footkerchief Summary Brewing stack of 7+ plants produces a stack of booze too big to fit in a barrel => Brewing stack of 7+ plants produces a stack of 35+ booze, which doesn't fit in a barrel
2014-09-07 14:24 Footkerchief Summary Brewing stack of 7+ plants produces a stack of 35+ booze, which doesn't fit in a barrel => Brewing stack of >6 plants produces a stack of >30 booze, which doesn't fit in a barrel
2014-10-31 13:48 Toady One Status confirmed => resolved
2014-10-31 13:48 Toady One Fixed in Version => Next Version
2014-10-31 13:48 Toady One Resolution open => fixed
2014-10-31 13:48 Toady One Assigned To Dwarfu => Toady One


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker